<mat-card>
  <mat-card-title>Adhésions</mat-card-title>
  <p *ngIf="member.memberships.length === 0">Aucune adhésion enregistrée.</p>
  <table mat-table *ngIf="member.memberships.length !== 0" [dataSource]="member.memberships">
    <ng-container matColumnDef="valid">
      <th mat-header-cell *matHeaderCellDef> Valide </th>
      <td mat-cell *matCellDef="let membership">
        <span *ngIf="membership.valid" class="oui">Oui</span>
        <span *ngIf="!membership.valid" class="non">Non</span>
      </td>
      <td mat-cell *matCellDef="let membership"> {{membership.valid ? 'Oui' : 'Non'}} </td>
    </ng-container>
    <ng-container matColumnDef="type">
      <th mat-header-cell *matHeaderCellDef> Type </th>
      <td mat-cell *matCellDef="let membership"> {{membership.membership}}  </td>
    </ng-container>
    <ng-container matColumnDef="price">
      <th mat-header-cell *matHeaderCellDef> Prix </th>
      <td mat-cell *matCellDef="let membership"> {{membership_types[membership.membership]?.price_ttc || '?'}}&nbsp;€ </td>
    </ng-container>
    <ng-container matColumnDef="payment">
      <th mat-header-cell *matHeaderCellDef> Paiement </th>
      <td mat-cell *matCellDef="let membership"> {{payment_method_to_str(membership.payment_method)}} </td>
    </ng-container>
    <ng-container matColumnDef="created_by">
      <th mat-header-cell *matHeaderCellDef> Créé par </th>
      <td mat-cell *matCellDef="let membership"> {{membership.created_by}} </td>
    </ng-container>
    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef> Date </th>
      <td mat-cell *matCellDef="let membership"> {{membership.created_at| date : "dd/MM/yyyy à hh:mm"}} </td>
    </ng-container>
    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef> Actions </th>
      <td mat-cell *matCellDef="let membership">
        <div class="buttons">
          <button color="primary" mat-raised-button
                  *ngIf="!membership.valid"
                  (click)="enableMembership(membership)">Activer
          </button>
          <button color="warn" mat-raised-button
                  *ngIf="membership.valid"
                  (click)="disableMembership(membership)">Désactiver
          </button>
          <button color="warn" mat-raised-button
                  (click)="deleteMembership(membership)">Supprimer
          </button>
        </div>
      </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="['valid', 'type', 'price', 'payment', 'created_by', 'date', 'actions']"></tr>
    <tr mat-row
        [class.disabled]="!membership_types[row.membership]"
        matTooltip="{{!membership_types[row.membership] ? 'Type d\'adhésion inconnu, probablement désactivé.' : ''}}"
        matTooltipPosition="left"
        *matRowDef="let row; columns: ['valid', 'type', 'price', 'payment', 'created_by', 'date', 'actions'];"></tr>
  </table>
</mat-card>
